%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% file name: ijag.inc 
% based on sample ITRANS 5.1 files by Avinash Chopade
% Page formatting macros from idevn.tex by Avinash Chopade
% Stotra meaning macros are based on dvaadasha stotra file 
% from Raghunath Rao (rrao@crystal.cirrus.com)  
% Macros for vedic accents are by Avinash Sathaye (sohum@ms.uky.edu)
% they are taken from the taitaccent.itx file
%
% using ITRANS (Version 5.x) with the TeX output mode of ITRANS.
%% uses Largedvng font
%%
%% use #indian or #sanskrit for Devanagari output
%% use #roman for Classical Sanskrit - Roman output
%
% usage: #include=ijag.inc
% It has to be in the same directory as the .itx file where it is included
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
			% ITRANS command. Allows me to use ##
#useshortmarkers	
			% instead of #indian and #endindian
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%devanagari fonts
%
#indianifm=dvng.ifm	
			% ITRANS command: argument specifies use of
#indianfont=\fransdvng	
			% Frans's dvng font, defined in idevn.tex

			% use dvngfull.ifm for all ligatures 
%%%%#sanskritifm=dvngfull.ifm	
#sanskritifm=dvng.ifm	
			% provided as an alternate for #indian.
#sanskritfont=\fransdvng 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The CS Utopia PostScript Romanized Sanskrit font.
			% this will only work for creating postscript files
			% cannot view .dvi files using YAP etc.
#romanifm=romancsx.ifm	
#romanfont=\romandvng
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%From: sohum@ms.uky.edu
%Date: Fri, 2 Aug 1996 14:45:01 -0400 (EDT)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Special Ligatures:
%%
%% A crude attempt to restore some of the ligatures of the original
%% Velthuis fonts. These don't get invoked in ITRANS since they have 
%% more than two consonants.
%% So we make a macro, using the same sequence that you would type
%% had it been allowed in ITRANS. Of course, you need an extra "\".
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\dvyu{\char149\kRn{-0.3}\sBs{-0.25}{\char0}\kRn{0.3}}%special ligature
\def\dvya{\char149}%special ligature
\def\dvyaa{\char149 A}%special ligature
\def\dvra{\char146\kRn{-0.52}\sBs{-0.3}{\char125}\kRn{-0.1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Vedic symbols. Other special symbols may be attached here too.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%sannatara mark (underbar)-prefix - not convenient for typing, methinks!
        \def\u#1{\underline{\rule[-0.5em]{0em}{1em}#1}}
%svarita mark(overbar)-prefix - ditto
	\def\s#1{#1\kRn{-0.12}\rule[0.8em]{0.1em}{0.5em}}
% alt.sannatara (underbar) - I like this, just gets added as a postfix.	
        \def\`{\kRn{-1.5} \rule[-0.5em]{0.5em}{0.1em}\kRn{0.2}}
%alt. svarita  (overbar) - ditto.
        \def\'{\kRn{-0.12}\rule[0.8em]{0.1em}{0.5em}}
        \def\"{\kRn{-0.3}\rule[0.8em]{0.1em}{0.5em}
               \kRn{-0.2}\rule[0.8em]{0.1em}{0.5em}}
% kampa marks. make more as needed.
%kampa short
	 \def\kp{ 1\`\' }
	 \def\Kp{ 3\`\' } % kampa long
% Vedic anusvara(?) with chandrabindu.
\def\m+{\sBs{-0.30}{\char32}\kRn{-0.5}\sBs{0.50}{\char94}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% -----------------------------------------------------------------
% Page commands (for LaTeX ONLY, use one of these commands in preamble)
\def\portraitpage{%
    \setlength{\topmargin}{-0.50in} % real margin == this + 1in
    \setlength{\oddsidemargin}{-0.0in} % real margin == this + 1in
    \setlength{\evensidemargin}{-0.0in} % real margin == this + 1in
    \setlength{\columnsep}{20pt}
    \setlength{\columnseprule}{0.4pt}
    \setlength{\textwidth}{6.5in}
    \setlength{\textheight}{9.0in}%
}
\def\portraitwide{%
    \setlength{\topmargin}{-0.750in} % real margin == this + 1in
    \setlength{\oddsidemargin}{-0.5in} % real margin == this + 1in
    \setlength{\evensidemargin}{-0.0in} % real margin == this + 1in
    \setlength{\columnsep}{20pt}
    \setlength{\columnseprule}{0.4pt}
    \setlength{\textwidth}{7.5in}
    \setlength{\textheight}{9.05in}%
}
\def\a4wide{%
     \special{papersize=210mm,297mm}%
     \setlength{\textheight}{250mm}
     \setlength{\textwidth}{185mm}
     \setlength{\topmargin}{-15mm}
     \setlength{\oddsidemargin}{-5mm}
     \addtolength{\evensidemargin}{-8mm}
     \setlength{\columnsep}{20pt}
     \setlength{\columnseprule}{0.4pt}
}
\def\portraitgif{%
	\setlength{\topmargin}{-1.30in}
	\setlength{\oddsidemargin}{-.5in}
	\setlength{\evensidemargin}{-0.0in}
	\setlength{\textwidth}{7.5in}
	\setlength{\textheight}{10.70in}
}
\def\portraitgifthin{%
	\setlength{\topmargin}{-1.30in}
	\setlength{\oddsidemargin}{-.75in}
	\setlength{\evensidemargin}{-0.0in}
	\setlength{\textwidth}{5.75in}
	\setlength{\textheight}{10.70in}
}
\def\bookletpage{%
	\special{papersize=11in,8.5in}
	\setlength{\textheight}{175mm}
	\setlength{\textwidth}{4.2in}
	\addtolength{\topmargin}{-20mm}
	\addtolength{\oddsidemargin}{-30mm}
	\addtolength{\evensidemargin}{-40mm}
}
\def\landscapepage{%
    \typeout{Landscape Mode: be sure to print in landscape format}
    \typeout{   (for dvips, use -t landscape option)}
    
    \setlength{\topmargin}{-0.75in} % real margin == this + 1in
    \setlength{\oddsidemargin}{-0.5in} % real margin == this + 1in
    \setlength{\evensidemargin}{-0.5in} % real margin == this + 1in
    \setlength{\columnsep}{20pt}
    \setlength{\columnseprule}{0.4pt}
    % Use Landscape Size Page 
    \setlength{\textwidth}{10.0in}
    \setlength{\textheight}{7in}%
}
\def\landscapegif{%
    \typeout{Landscape Mode: be sure to print in landscape format}
    \typeout{   (for dvips, use -t landscape option)}   
    \setlength{\topmargin}{-1.4in} % real margin == this + 1in
    \setlength{\oddsidemargin}{+0.5in} % real margin == this + 1in
    \setlength{\evensidemargin}{+0.5in} % real margin == this + 1in
    \setlength{\columnsep}{20pt}
    \setlength{\columnseprule}{0.4pt}
    % Use Landscape Size Page 
    \setlength{\textwidth}{9.5in}
    \setlength{\textheight}{8.3in}%
}
\def\landscapegifthin{%
	\setlength{\topmargin}{-1.30in}
	\setlength{\textwidth}{9.5in}
	\setlength{\textheight}{10.70in}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\EN#1{} % empty operator
\def\m+{\sBs{-0.30}{\char32}\kRn{-0.5}\sBs{0.50}{\char94}\ } %Vedic anusvaar
\def\bcksl{{\tt\char92}} % to force a backslash since will add linebreak
\newcommand{\SCOUNT}{\stepcounter{scounter}\arabic{scounter}}
\newcounter{scounter}
\newcommand{\RCOUNT}{\stepcounter{rcounter}\arabic{rcounter}}
\newcounter{rcounter}

	% from startsong command:
\def\-{{\englfont -}}%
\def\.{{\englfont .}}%
      % opening double quotes and closing double quotes 12/27/97
\def\oq{{\englfont ``}}%
\def\cq{{\englfont ''}}%
	% quote environment for indenting shlokas
	% use \break to justify lines within it
\def\bq{\begin{quote}}
\def\eq{\end{quote}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% BEGIN RAGHU'S MACROS 
%%%
%%% Actually, condensed from raghumac.tex: macros for Appa's book %%%%%%%%

%%%%%%%% SPECIALS %%%%%%%%%

\def\myline{\medskip\noindent\rule[0.1mm]{6.5in}{0.4mm}\\}
	% Draws a 6.5 inch long horizontal line of 0.5 mm thickness

%%%%%%%% SHLOKA ENVIRONMENT %%%%%%%%%

\def\makeshlokaheading#1{\myline\medskip\centerline{\bf SHLOKA #1}\smallskip}
	% Makes the Shloka Heading with their number(s) as argument #1

\def\beginsmallshloka{\begin{center}\begin{minipage}{3.5in}}
	% Begins the Shloka environment

\def\beginmedshloka{\begin{center}\begin{minipage}{4.5in}}
	% Begins the Shloka environment

\def\beginlargeshloka{\begin{center}\begin{minipage}{5.5in}}
	% Begins the Shloka environment

\def\endshloka#1{{\fransdvng\largedvng $\!\!\!$.. #1 $\!\!\!$..}
\end{minipage}\end{center}}
	% Ends the Shloka environment with the #1 argument juxtaposed in Sanskrit

\def\endshlokab{\end{minipage}\end{center}}
	% Ends the Shloka environment without any argument :-^ :-) 

\def\makeuvaacha#1{\smallskip\noindent #1 :\smallskip\\}
	% Left justifies the Sanskrit argument #1 in the current minipage

%%%%%%%% TRANSLATION ENVIRONMENT %%%%%%%%%

\def\maketranheading #1{\medskip\centerline{\bf #1}\smallskip}
	% Makes the Translation Heading with text as argument #1

\def\begintran{\indent}
	% Begins the Translation environment
\def\endtran#1{\hfill {\bf ...#1}\\}
	% Ends the Translation environment with right justified #1 parameter

\def\endtrans{\\ \medskip}
	% Ends the Translation environment without parameter

\def\makesubheading #1{\medskip\noindent{\bf #1}}
	% Makes the sub heading

%%%%%%%% STOTRA ENVIRONMENT %%%%%%%%%

\def\beginstotra{\noindent\rule[0.1mm]{6.45in}{0.4mm}\\ \smallskip}

\def\endstotra{\noindent\rule[0.1mm]{6.45in}{0.4mm}}

%%%%%%%%%%%%%%%%%%%%%%%%% END RAGHU'S MACROS 
